Skip to main content
`Ctrl`+`K`

# ISClearInfoCache

clear the cache of computed index set properties

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISClearInfoCache(IS is, PetscBool clear_permanent_local)

Not Collective

## Input Parameters

- is - the index set

- clear_permanent_local - whether to remove the permanent status of local properties

## Note

Because all processes must agree on the global permanent status of a property, the permanent status can only be changed with `ISSetInfo()`, because this routine is not collective

## See Also

`IS`, `ISInfo`, `ISInfoType`, `ISSetInfo()`

## Level

developer

## Location

src/vec/is/is/interface/index.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages